commit:     ddc49a5c6338cac43953673263abdf29d0dbfa4e
Author:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 12 22:57:30 2019 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Wed Jun 12 22:58:57 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddc49a5c

app-crypt/jitterentropy: bump to 2.1.2 #687846

Closes: https://bugs.gentoo.org/687846
Package-Manager: Portage-2.3.67, Repoman-2.3.12
Signed-off-by: Göktürk Yüksek <gokturk <AT> gentoo.org>

 app-crypt/jitterentropy/Manifest                   |  1 +
 app-crypt/jitterentropy/jitterentropy-2.1.2.ebuild | 38 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/app-crypt/jitterentropy/Manifest b/app-crypt/jitterentropy/Manifest
index 32b6d5221e5..c970c564d4a 100644
--- a/app-crypt/jitterentropy/Manifest
+++ b/app-crypt/jitterentropy/Manifest
@@ -1 +1,2 @@
 DIST jitterentropy-2.1.1.tar.gz 23804 BLAKE2B 
e208c87b414939485c16c6e94460020164e77089d5ac69f8627f8f1dfb38f211ff985c7fa5d32f647f1b06f065f86dc9070aea9b481e8251ecdecbfb4724ce08
 SHA512 
fb1b76278e03f425be06c8b66532e3997a07f91645393317f42681b1113bd31dfdf348bd18c92d0dfc153c85b75f8f968fe070e988f1a02e4ef4e09435b6cef8
+DIST jitterentropy-2.1.2.tar.gz 24112 BLAKE2B 
9328fcc6ac09b79765d53248e4d6d01be47348c6f22f660175de888a884ea9e65253cc2e6fd3620a96f69dd0051b97ea3c46462a24c8e0c94d2bba19afab059e
 SHA512 
b1ba2fe22c6b7d5bca64bb1611f2da3f53f1979e515a16141ccf330e3ca27a6944f0e45f0db57f4e3963a30ea4b34920ce9173f9c4f3ea82b820dc739cbd95f4

diff --git a/app-crypt/jitterentropy/jitterentropy-2.1.2.ebuild 
b/app-crypt/jitterentropy/jitterentropy-2.1.2.ebuild
new file mode 100644
index 00000000000..d33b497f97d
--- /dev/null
+++ b/app-crypt/jitterentropy/jitterentropy-2.1.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Hardware RNG based on CPU timing jitter"
+HOMEPAGE="https://github.com/smuellerDD/jitterentropy-library";
+SRC_URI="https://github.com/smuellerDD/jitterentropy-library/archive/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="static-libs"
+
+S="${WORKDIR}/${PN}-library-${PV}"
+
+src_prepare() {
+       default
+
+       # Disable man page compression on install
+       sed -e '/\tgzip.*man/ d' -i Makefile || die
+       # Let the package manager handle stripping
+       sed -e '/\tinstall.*-s / s/-s //g' -i Makefile || die
+}
+
+src_compile() {
+       emake AR="$(tc-getAR)" CC="$(tc-getCC)"
+}
+
+src_install() {
+       dodir /usr/include # See: 
https://github.com/smuellerDD/jitterentropy-library/pull/9
+       emake PREFIX="${EPREFIX}/usr" \
+                 LIBDIR="$(get_libdir)" \
+                 DESTDIR="${D}" install
+       use static-libs && dolib.a lib${PN}.a
+}

Reply via email to